/* $Id: lextab.h,v 1.1.1.1 2008/11/10 09:27:39 kiesling Exp $ */

/*
  This file is part of ctalk.
  Copyright  2005-2008  Robert Kiesling, ctalk@ctalklang.org.
  Permission is granted to copy this software provided that this copyright
  notice is included in all source code modules.

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software Foundation, 
  Inc., 51 Franklin St., Fifth Floor, Boston, MA 02110-1301 USA.
*/

const int ascii_chr_tok[] = {
  0,  /* 0. */
   0,  /* 1. */
   0,  /* 2 */
   0,  /* 3 */
   0,  /* 4 */
   0,  /* 5. */
   0,  /* 6 */
   0,  /* 7 */
   0,  /* 8 */
   WHITESPACE, /* 9 */
   0,          /* 10 */
   WHITESPACE, /* 11 */
   WHITESPACE, /* 12 */
   0,  /* 13 */
   0,  /* 14 */
   0,  /* 15 */
   0,  /* 16 */
   0,  /* 17 */
   0,  /* 18 */
   0,  /* 19 */
   0,  /* 20 */
   0,  /* 21 */
   0,  /* 22 */
   0,  /* 23 */
   0,  /* 24 */
   0,  /* 25 */
   0,  /* 26 */
   0,  /* 27 */
   0,  /* 28 */
   0,  /* 29 */
   0,  /* 30 */
   0,  /* 31 */
   WHITESPACE,  /* 32 */
   0,  /* 33 */
   0,  /* 34 */
   0,  /* 35 */
   0,  /* 36 */
   0,  /* 37 */
   0,  /* 38 */
   0,  /* 39 */
   OPENPAREN,  /* 40 */
   CLOSEPAREN,  /* 41 */
   0,  /* 42 */
   0,  /* 43 */
   ARGSEPARATOR,  /* 44 */
   0,  /* 45 */
   0,  /* 46 */
   0,  /* 47 */
   DIGIT,  /* 48 */
   DIGIT,  /* 49 */
   DIGIT,  /* 50 */
   DIGIT,  /* 51 */
   DIGIT,  /* 52 */
   DIGIT,  /* 53 */
   DIGIT,  /* 54 */
   DIGIT,  /* 55 */
   DIGIT,  /* 56 */
   DIGIT,  /* 57 */
   COLON,  /* 58 */
   SEMICOLON,  /* 59 */
   0,  /* 60 */
   0,  /* 61 */
   0,  /* 62 */
   CONDITIONAL,  /* 63 */
   0,  /* 64 */
   0,  /* 65 */
   0,  /* 66 */
   0,  /* 67 */
   0,  /* 68 */
   0,  /* 69 */
   0,  /* 70 */
   0,  /* 71 */
   0,  /* 72 */
   0,  /* 73 */
   0,  /* 74 */
   0,  /* 75 */
   0,  /* 76 */
   0,  /* 77 */
   0,  /* 78 */
   0,  /* 79 */
   0,  /* 80 */
   0,  /* 81 */
   0,  /* 82 */
   0,  /* 83 */
   0,  /* 84 */
   0,  /* 85 */
   0,  /* 86 */
   0,  /* 87 */
   0,  /* 88 */
   0,  /* 89 */
   0,  /* 90 */
   ARRAYOPEN,  /* 91 */
   0,  /* 92 */
   ARRAYCLOSE,  /* 93 */
   0,  /* 94 */
   0,  /* 95 */
   0,  /* 96 */
   0,  /* 97 */
   0,  /* 98 */
   0,  /* 99 */
   0,  /* 100 */
   0,  /* 101 */
   0,  /* 102 */
   0,  /* 103 */
   0,  /* 104 */
   0,  /* 105 */
   0,  /* 106 */
   0,  /* 107 */
   0,  /* 108 */
   0,  /* 109 */
   0,  /* 110 */
   0,  /* 111 */
   0,  /* 112 */
   0,  /* 113 */
   0,  /* 114 */
   0,  /* 115 */
   0,  /* 116 */
   0,  /* 117 */
   0,  /* 118 */
   0,  /* 119 */
   0,  /* 120 */
   0,  /* 121 */
   0,  /* 122 */
   OPENBLOCK,  /* 123 */
   0,  /* 124 */
   CLOSEBLOCK,  /* 125 */
   BIT_COMP,  /* 126 */
   0,  /* 127 */
};
